----------------------------------------------------------------------------------------------------
-- ExtendedGroundAdjustedNodes
----------------------------------------------------------------------------------------------------
-- Purpose: loads GroundAdjustedNodes out of sprayType config.
--
-- Copyright (c) Hub3ert, 2020
----------------------------------------------------------------------------------------------------



---@class ExtendedGroundAdjustedNodes
ExtendedGroundAdjustedNodes = {}
ExtendedGroundAdjustedNodes.MOD_NAME = g_currentModName



function ExtendedGroundAdjustedNodes.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(GroundAdjustedNodes, specializations)
end

function ExtendedGroundAdjustedNodes.registerFunctions(vehicleType)

end

function ExtendedGroundAdjustedNodes.registerEventListeners(vehicleType)
    SpecializationUtil.registerEventListener(vehicleType, "onLoad", ExtendedGroundAdjustedNodes)
    SpecializationUtil.registerEventListener(vehicleType, "onDelete", ExtendedGroundAdjustedNodes)
	SpecializationUtil.registerEventListener(vehicleType, "onUpdate", ExtendedGroundAdjustedNodes)

end

function ExtendedGroundAdjustedNodes.registerOverwrittenFunctions(vehicleType)

end





function ExtendedGroundAdjustedNodes:onLoad(savegame)


    local sprayType = self:getActiveSprayType()
	local nKey = string.format("vehicle.sprayer.sprayTypes.sprayType(%d)", (sprayType.index-1))
	local spec = self.spec_groundAdjustedNodes
    spec.groundAdjustedNodes = {}
    local i = 0
    while true do
        local key = string.format(nKey..".groundAdjustedNodes.groundAdjustedNode(%d)", i)     
		if not hasXMLProperty(self.xmlFile, key) then

            break
        end
        local node = {}
        if self:loadGroundAdjustedNodeFromXML(self.xmlFile, key, node) then
            table.insert(spec.groundAdjustedNodes, node)
        end
        i = i + 1
    end
end


function ExtendedGroundAdjustedNodes:onDelete()

end



function ExtendedGroundAdjustedNodes:saveToXMLFile(xmlFile, key, usedModNames)

end

function ExtendedGroundAdjustedNodes:onReadStream(streamId, connection)

end

function ExtendedGroundAdjustedNodes:onWriteStream(streamId, connection)

end

function ExtendedGroundAdjustedNodes:onReadUpdateStream(streamId, timestamp, connection)

end

function ExtendedGroundAdjustedNodes:onWriteUpdateStream(streamId, connection, dirtyMask)

end

function ExtendedGroundAdjustedNodes:onUpdate(dt)


end









